package com.yscjp.webtools.robot;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JWindow;
import java.awt.BorderLayout;
import javax.swing.JPanel;
import java.awt.Cursor;
import java.awt.Color;
import java.awt.GraphicsDevice;
import java.awt.GraphicsDevice.WindowTranslucency;
import java.awt.GraphicsEnvironment;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.awt.GridLayout;
import javax.swing.JLabel;
import java.awt.Component;
import java.awt.FlowLayout;
import javax.swing.BoxLayout;
import javax.swing.JTextField;


public class CaptureSizeWindow {

    private JWindow jwindow;
    private final JPanel panel_4 = new JPanel();
    private final JPanel panel_5 = new JPanel();
    private JTextField textField;


    /**
     * Launch the application.
     */
    public static void main(String[] args) {

        EventQueue.invokeLater(new Runnable() {

            public void run() {

                try {
                    CaptureSizeWindow window = new CaptureSizeWindow();
                    window.jwindow.setVisible(true);
                }
                catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }


    /**
     * Create the application.
     */
    public CaptureSizeWindow() {

        initialize();
    }

    public void setVisible(boolean b) {

        jwindow.setVisible(b);
    }


    /**
     * Initialize the contents of the frame.
     */
    private void initialize() {

        jwindow = new JWindow();
        jwindow.getContentPane().setCursor(Cursor.getPredefinedCursor(Cursor.MOVE_CURSOR));
        jwindow.setBackground(new Color(0,0,0,0));
        jwindow.setBounds(100, 100, 450, 300);
        jwindow.getContentPane().setLayout(new BorderLayout(0, 0));
        jwindow.getContentPane().setBackground(new Color(0,0,0,0));

        JPanel panel = new JPanel();
        panel.setOpaque(false);
        panel.setCursor(Cursor.getPredefinedCursor(Cursor.W_RESIZE_CURSOR));
        jwindow.getContentPane().add(panel, BorderLayout.WEST);

        JPanel panel_1 = new JPanel();
        panel_1.setOpaque(false);
        panel_1.setCursor(Cursor.getPredefinedCursor(Cursor.E_RESIZE_CURSOR));
        jwindow.getContentPane().add(panel_1, BorderLayout.EAST);

        JPanel panel_2 = new JPanel();
        panel_2.setOpaque(false);
        panel_2.setCursor(Cursor.getPredefinedCursor(Cursor.N_RESIZE_CURSOR));
        jwindow.getContentPane().add(panel_2, BorderLayout.NORTH);
        panel_2.setLayout(new BorderLayout(0, 0));

        JPanel panel_6 = new JPanel();
        panel_6.setOpaque(false);
        panel_6.setCursor(Cursor.getPredefinedCursor(Cursor.NW_RESIZE_CURSOR));
        panel_2.add(panel_6, BorderLayout.WEST);

        JPanel panel_7 = new JPanel();
        panel_7.setOpaque(false);
        panel_7.setCursor(Cursor.getPredefinedCursor(Cursor.NE_RESIZE_CURSOR));
        panel_2.add(panel_7, BorderLayout.EAST);

        JPanel panel_3 = new JPanel();
        panel_3.setOpaque(false);
        panel_3.setCursor(Cursor.getPredefinedCursor(Cursor.S_RESIZE_CURSOR));
        jwindow.getContentPane().add(panel_3, BorderLayout.SOUTH);
        panel_3.setLayout(new BorderLayout(0, 0));
        panel_4.setOpaque(false);
        panel_4.setCursor(Cursor.getPredefinedCursor(Cursor.SW_RESIZE_CURSOR));
        panel_3.add(panel_4, BorderLayout.WEST);
        panel_5.setOpaque(false);
        panel_5.setCursor(Cursor.getPredefinedCursor(Cursor.SE_RESIZE_CURSOR));
        panel_3.add(panel_5, BorderLayout.EAST);

        JPanel panel_8 = new JPanel();
        panel_8.setOpaque(false);
        jwindow.getContentPane().add(panel_8, BorderLayout.CENTER);
        panel_8.setLayout(new BoxLayout(panel_8, BoxLayout.Y_AXIS));

        JButton btnNewButton = new JButton("サイズと位置を保存して閉じる");
        btnNewButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
            }
        });
        panel_8.add(btnNewButton);

        JButton btnNewButton_1 = new JButton("閉じる");
        panel_8.add(btnNewButton_1);

        textField = new JTextField();
        panel_8.add(textField);
        textField.setColumns(10);
//        jwindow.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
//        com.sun.awt.AWTUtilities.setWindowOpaque(jwindow, false);
//        GraphicsEnvironment ge= GraphicsEnvironment.getLocalGraphicsEnvironment();
//        GraphicsDevice gd = ge.getDefaultScreenDevice();
//        boolean supported = gd.isWindowTranslucencySupported(WindowTranslucency.PERPIXEL_TRANSLUCENT);
//        if (supported) {
//            System.out.println("透過をサポートしています。");
//        } else {
//            System.out.println("透過をサポートしていません。");
//        }
    }

}
